<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from distfun_logurnd.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="distfun_logurnd" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>distfun_logurnd</refname>
    <refpurpose>LogUniform random numbers</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   x = distfun_logurnd ( a , b )
   x = distfun_logurnd ( a , b , [m,n] )
   x = distfun_logurnd ( a , b , m , n )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>a:</term>
      <listitem><para> a matrix of doubles, the minimum of the underlying uniform variable.</para></listitem></varlistentry>
   <varlistentry><term>b:</term>
      <listitem><para> a matrix of doubles, the maximum of the underlying uniform variable. b>a.</para></listitem></varlistentry>
   <varlistentry><term>m :</term>
      <listitem><para> a 1-by-1 matrix of floating point integers, the number of rows of x</para></listitem></varlistentry>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of floating point integers, the number of columns of x</para></listitem></varlistentry>
   <varlistentry><term>x:</term>
      <listitem><para> a matrix of doubles, the positive random numbers.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Generates random variables from the LogUniform distribution function.
   </para>
   <para>
Any scalar input argument is expanded to a matrix of doubles of
the same size as the other input arguments.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Test both a and b expanded
computed = distfun_logurnd(1:6,2:7)

// Test a expansion
computed = distfun_logurnd(1:6,7)

// Test b expansion
computed = distfun_logurnd(0,1:6)

// Test with v
computed = distfun_logurnd(0,1,[3 2])

// Test with m, n
computed = distfun_logurnd(0,1,3,2)

// Make a plot of the actual distribution of the numbers
// Compare random numbers with PDF
a=2;
b=3.5;
N=10000;
x=linspace(exp(a),exp(b),1000);
y=distfun_logupdf(x,a,b);
r=distfun_logurnd(a,b,N,1);
scf();
histplot(20,r)
plot(x,y)
xtitle("Log-Uniform","X","");
legend(["Data","PDF"]);

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2013 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
